MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000301VCMIMechanics - Town structurespublic2009-12-07 13:082019-05-26 18:19
ReporterSteven Aus 
Assigned ToWarmonger 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusfeedbackResolutionreopened 
PlatformOSOS Version
Product Version0.75 
Target VersionFixed in Version 
Summary0000301: Skyship didn't reveal the whole map immediately on capture or the next turn after capture.
DescriptionSee attached save (saved immediately after capture but it may be that the Skyship making all the map visible shouldn't happen until the next turn).
TagsNo tags attached.
Attached Files7z file icon Just After Capturing Skyship Town.7z [^] (99,922 bytes) 2009-12-07 13:08
? file icon Skyship.h3m [^] (1,775 bytes) 2019-05-26 18:19

- Relationships

-  Notes
(0000935)
Warmonger (administrator)
2010-06-03 06:21

Fixed in rev. 1602
(0001765)
Zamolxis (viewer)
2011-05-30 19:37

Checked in 0.84 and 0.84d, and it doesn't yet work as it should. Right now the lands are revealed only the next turn after capture. If Tower has the Skyship, the lands should be revealed the moment we flag the town.

More exactly:
- If the town has no defenders, in the moment our hero walks in, in H3 the town gets the new flag and lands are revealed that very instant, while the town interface opens (it can be clearly seen, as in H3 the town screen opens with fading effect, and the revealed can be seen when the fading starts.
- If the town had defenders, the map is revealed as soon as we win the fight and flag the town, meaning our hero does not even need to enter the town

If necessary, I can prepare a map for easy testing for this.
(0002430)
Ivan (developer)
2012-05-14 21:51

Fixed? Right now skyship works as it should.
(0002858)
Steven Aus (reporter)
2012-08-08 13:17

I haven't played much for a while, but as far as I know, Skyship works as it should.
(0007801)
Povelitel (updater)
2019-05-26 18:18

On the first day after the capture of the city map does not open.

Attach the map, started in blue.

- Issue History
Date Modified Username Field Change
2009-12-07 13:08 Steven Aus New Issue
2009-12-07 13:08 Steven Aus File Added: Just After Capturing Skyship Town.7z
2009-12-07 13:11 Steven Aus Note Added: 0000389
2009-12-07 13:17 Steven Aus Note Deleted: 0000389
2009-12-21 09:20 Warmonger Assigned To => Warmonger
2009-12-21 09:20 Warmonger Severity feature => minor
2009-12-21 09:20 Warmonger Status new => assigned
2010-06-03 06:21 Warmonger Note Added: 0000935
2010-06-03 06:21 Warmonger Status assigned => resolved
2010-06-03 06:21 Warmonger Fixed in Version => 0.89
2010-06-03 06:21 Warmonger Resolution open => fixed
2011-05-30 19:37 Zamolxis Note Added: 0001765
2011-05-30 19:37 Zamolxis Status resolved => feedback
2011-05-30 19:37 Zamolxis Resolution fixed => reopened
2012-05-14 21:51 Ivan Note Added: 0002430
2012-08-08 07:36 Ivan Status feedback => resolved
2012-08-08 07:36 Ivan Fixed in Version 0.82 =>
2012-08-08 07:36 Ivan Resolution reopened => fixed
2012-08-08 13:17 Steven Aus Note Added: 0002858
2014-05-30 17:41 beegee Status resolved => closed
2019-05-26 18:18 Povelitel Note Added: 0007801
2019-05-26 18:18 Povelitel Status closed => feedback
2019-05-26 18:18 Povelitel Resolution fixed => reopened
2019-05-26 18:19 Povelitel File Added: Skyship.h3m

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2019 MantisBT Team
Hosting provided by DigitalOcean